Skip to content

Internal transfer between subaccounts

POST
/v1/account/subaccounts/transfer

Transfer funds between 2 accounts. The primary API key can transfer from and to any subaccount. The subaccount API key can only transfer from itself. The transfer process is asynchronous, to verify completion listen for balance changes or TX updates on the Account WebSocket. Use the allowBorrow option to borrow funds against assets in your account. Collateral is locked while the loan is outstanding. Interest accrues hourly and is capitalised into the loan. Crypto Loans are only available in margin-enabled Subaccounts.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"fromId": "0",
"toId": "1364175408828567552",
"currencyCode": "ZAR",
"amount": "2.99",
"allowBorrow": false
}

Responses

Transfer accepted

Playground

Authorization
Body

Samples